classification
Title: duplicate method definition in Lib/ctypes/test/test_unicode.py
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: ezio.melotti, mangrisano, xdegaye
Priority: normal Keywords: patch

Created on 2019-04-24 15:19 by xdegaye, last changed 2019-05-23 14:45 by ezio.melotti. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13525 merged mangrisano, 2019-05-23 14:23
Messages (7)
msg340782 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2019-04-24 15:19
As reported in issue 16079, the following method is a duplicate:

Lib/ctypes/test/test_unicode.py:110 StringTestCase.test_ascii_replace
msg343291 - (view) Author: Michele Angrisano (mangrisano) * Date: 2019-05-23 12:30
That method was already removed in cf44883.
msg343292 - (view) Author: Michele Angrisano (mangrisano) * Date: 2019-05-23 12:42
The proper link is this: cf448832ebca7ed34809168660fa96c3c61f8abb.

Sorry.
msg343294 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2019-05-23 13:02
The duplicate method is gone from 3.5+, but it is still present on 2.7:
Lib/ctypes/test/test_unicode.py:96
Lib/ctypes/test/test_unicode.py:110

The one at line 96 should be renamed "test_ascii_strict".

Michele, do you want to work on a PR to fix it?
msg343295 - (view) Author: Michele Angrisano (mangrisano) * Date: 2019-05-23 13:13
I'm on it.
msg343300 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2019-05-23 14:42
New changeset 25d8404c358f3b1cc8321cdc74049d45dcb8d014 by Ezio Melotti (Michele Angrisano) in branch '2.7':
bpo-36713: Rename duplicated method in test_unicode. (#13525)
https://github.com/python/cpython/commit/25d8404c358f3b1cc8321cdc74049d45dcb8d014
msg343301 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2019-05-23 14:45
Fixed, thanks for the PR!
History
Date User Action Args
2019-05-23 14:45:06ezio.melottisetstatus: open -> closed
messages: + msg343301

assignee: ezio.melotti
resolution: fixed
stage: patch review -> resolved
2019-05-23 14:42:54ezio.melottisetmessages: + msg343300
2019-05-23 14:23:22mangrisanosetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request13440
2019-05-23 13:13:24mangrisanosetmessages: + msg343295
2019-05-23 13:02:25ezio.melottisetnosy: + ezio.melotti
messages: + msg343294
2019-05-23 12:42:28mangrisanosetmessages: + msg343292
2019-05-23 12:30:44mangrisanosetnosy: + mangrisano
messages: + msg343291
2019-05-15 11:16:07BTaskayasettitle: uplicate method definition in Lib/ctypes/test/test_unicode.py -> duplicate method definition in Lib/ctypes/test/test_unicode.py
2019-04-24 15:19:07xdegayecreate